=== debian/control ===
Source: ros-melodic-cis-camera
Section: misc
Priority: optional
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Development Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-camera-info-manager, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-libuvc, ros-melodic-nodelet, ros-melodic-pcl-ros, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf-conversions
Homepage: http://wiki.ros.org/cis_camera
Standards-Version: 3.9.2

Package: ros-melodic-cis-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-camera-info-manager, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-jsk-rviz-plugins, ros-melodic-libuvc, ros-melodic-nodelet, ros-melodic-pcl-ros, ros-melodic-pluginlib, ros-melodic-rgbd-launch, ros-melodic-roscpp, ros-melodic-rqt-reconfigure, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf-conversions
Description: The cis_camera package
